function init(hero) {
    hero.setName("Black Samson");
	hero.setVersion("Serie");
    hero.setTier(6);
	
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("vhp:superhuman_physiology");
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
	hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
	hero.addAttribute("SPRINT_SPEED", 0.25, 1);
	hero.addAttribute("IMPACT_DAMAGE", 0.20, 1);

	hero.addKeyBind("CHARGED_PUNCH", "Toggle Super Punch", 1);

	hero.addAttributeProfile("PUNCH", punchProfile);
    hero.addAttributeProfile("BLUNT", bluntProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function punchProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    profile.addAttribute("KNOCKBACK", 2.0, 0);
}

function bluntProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:punchmode") ? "PUNCH" : "BLUNT";
}